#
# spec file for package xntp (Version 3.5.93c)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xntp
Release:      2
Copyright:    
Group: 
Provides:     xntp3 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.5.93c
Summary:      Network Time Protocol daemon
Source:		xntp3-5.93.tar.gz
Patch:		xntp3-5.93.dif
#
# !!! Uncomment BuildRoot if you don't want it.
# !!! If you want it, be carefull: we'll do a 'rm -rf {BuildRoot}'
#
BuildRoot:	/tmp/xntp
#
%description
xntpd is a daemon which sets and maintains a  Unix  system
time-of-day in  compliance  with  Internet  standard  time
servers. xntpd is a complete implementation of  the  Net-
work Time Protocol (NTP) version 3 standard, as defined by
RFC 1305, but also retains compatibility  with  version  1
and 2 servers as defined by RFC 1059 and RFC 1119, respec-
tively. 

Authors:
--------
    Dennis Ferguson
    David Mills

%prep
%setup -n xntp3-5.93
%patch
%build
CFLAGS='-Wall -O2 -pipe' ./configure \
	--prefix=$RPM_BUILD_ROOT/usr \
	--bindir=$RPM_BUILD_ROOT/usr/sbin \
	--enable-udp-wildcard --enable-RAWDCF \
	--enable-all-clocks --enable-LOCAL-CLOCK \
	--enable-accurate-adjtime i486-linux
make
%install
if [ -n "$RPM_BUILD_ROOT" ]; then
	echo -e "!\n! RPM_BUILD_ROOT is '$RPM_BUILD_ROOT'\n!"
	rm -rf $RPM_BUILD_ROOT
	mkdir  $RPM_BUILD_ROOT
fi
make install
# easy access to {ntpq,xntpdc} for users
mkdir -p $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/usr/sbin/{ntpq,xntpdc} $RPM_BUILD_ROOT/usr/bin
# default configuration
mkdir -p   $RPM_BUILD_ROOT/etc
touch      $RPM_BUILD_ROOT/etc/ntp.drift
chmod 0644 $RPM_BUILD_ROOT/etc/ntp.drift
install -m 644 conf.SuSE/ntp.conf $RPM_BUILD_ROOT/etc/ntp.conf
mkdir -p   $RPM_BUILD_ROOT/var/log
touch      $RPM_BUILD_ROOT/var/log/ntp
chmod 0640 $RPM_BUILD_ROOT/var/log/ntp
# boot scripts
mkdir -p $RPM_BUILD_ROOT/sbin/init.d
install -m 755 conf.SuSE/rc.xntpd $RPM_BUILD_ROOT/sbin/init.d/xntpd
for RL in 2 3; do
	mkdir -p $RPM_BUILD_ROOT/sbin/init.d/rc$RL.d
	ln -s ../xntpd $RPM_BUILD_ROOT/sbin/init.d/rc$RL.d/K20xntpd
	ln -s ../xntpd $RPM_BUILD_ROOT/sbin/init.d/rc$RL.d/S20xntpd
done
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -s ../../sbin/init.d/xntpd $RPM_BUILD_ROOT/usr/sbin/rcxntpd
# fillup rc.config
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 conf.SuSE/rc.config.xntp $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.xntp
# just changed 'whereever/bin/perl' to '/usr/bin/perl'
# so remove .origs
find scripts -type f -name '*.orig' -exec rm {} \;
%clean
if [ -n "$RPM_BUILD_ROOT" ]; then
	echo -e "!\n! RPM_BUILD_ROOT was '$RPM_BUILD_ROOT'\n!"
	rm -rf $RPM_BUILD_ROOT
fi
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.xntp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.xntp and"
  echo "update by hand."
fi
%files
%config	/etc/ntp.conf
%ghost	/etc/ntp.drift
	/sbin/init.d/rc2.d/K20xntpd
	/sbin/init.d/rc2.d/S20xntpd
	/sbin/init.d/rc3.d/K20xntpd
	/sbin/init.d/rc3.d/S20xntpd
%config	/sbin/init.d/xntpd
	/usr/bin/ntpq
	/usr/bin/xntpdc
	/usr/sbin/ntpdate
	/usr/sbin/ntptime
	/usr/sbin/ntptrace
	/usr/sbin/tickadj
	/usr/sbin/xntpd
	/usr/sbin/rcxntpd
	/var/adm/fillup-templates/rc.config.xntp
%ghost	/var/log/ntp
%doc	COPYRIGHT ChangeLog NEWS README TODO WHERE-TO-START
%doc	conf html scripts/monitoring scripts/stats scripts/support
%doc	scripts/Guess.sh
%doc	scripts/README
%doc	scripts/calc_tickadj
%doc	scripts/makeconfig.sh
%doc	scripts/mklinks
%doc	scripts/mkversion
%doc	scripts/ntp-groper
%doc	scripts/ntp-restart
%doc	scripts/ntpver
%doc	scripts/plot_summary.pl
%doc	scripts/summary.pl

